# Uses of Interface
org.eclipse.jdt.junit.model.ITestElementContainer

Packages that use ITestElementContainer
Package
Description
org.eclipse.jdt.junit.model
Application programming interfaces representing test elements as shown in the JUnit view.

## Uses of ITestElementContainer in org.eclipse.jdt.junit.model

Subinterfaces of ITestElementContainer in org.eclipse.jdt.junit.model
Modifier and Type
Interface
Description
`interface`
`ITestRunSession`
Represents a test run session.
`interface`
`ITestSuiteElement`
Represents a test suite element.
Methods in org.eclipse.jdt.junit.model that return ITestElementContainer
Modifier and Type
Method
Description
`ITestElementContainer`
ITestElement.`getParentContainer()`
Returns the parent test element container or `null` if the test element is the test run session.